API reference
All operations
EQUIPMENT - GET

Creates a new equipment assigned get record.

POST/api/v2/equipment/GETs

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Request body

application/jsonrequired

The request containing equipment assigned get data to create.

CreateEquipmentAssignedGetRequest
  • equipmentIdinteger · int32
  • categorystringnullable
  • manufacturerstringnullable
  • stylestringnullable
  • brandstringnullable
  • partNostringnullable
  • qtyinteger · int32
  • holeQtyinteger · int32
  • dimensionTypestringnullable
  • lengthnumber · double
  • widthnumber · double
  • heightnumber · double
  • sizestringnullable
  • measureNewnumber · double
  • measure100number · double
  • commentsstringnullable

Responses

Equipment assigned get created successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataEquipmentAssignedGetDto
  • assignedIdinteger · int32
  • equipmentIdinteger · int32
  • categorystring
  • manufacturerstring
  • stylestring
  • brandstring
  • partNostring
  • qtyinteger · int32
  • holeQtyinteger · int32
  • dimensionTypestring
  • lengthnumber · double
  • widthnumber · double
  • heightnumber · double
  • sizestring
  • measureNewnumber · double
  • measure100number · double
  • commentsstring
  • deletedboolean